<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
  <title>meta (Font)</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
</head>
<body class="standalone-code">
  <pre><span class="ruby-comment cmt"># File font.rb, line 57</span>
  <span class="ruby-keyword kw">def</span> <span class="ruby-constant">Font</span>.<span class="ruby-identifier">meta</span>(<span class="ruby-identifier">path</span>)
        <span class="ruby-comment cmt">#FIXME </span>
        <span class="ruby-comment cmt">#Stop using this library, its slow and bulky for what needs to be done.</span>
        <span class="ruby-identifier">font</span> = <span class="ruby-constant">FontTTF</span><span class="ruby-operator">::</span><span class="ruby-constant">TTF</span><span class="ruby-operator">::</span><span class="ruby-constant">File</span>.<span class="ruby-identifier">new</span>(<span class="ruby-identifier">path</span>)
        <span class="ruby-identifier">meta</span> = <span class="ruby-identifier">font</span>.<span class="ruby-identifier">get_table</span>(<span class="ruby-identifier">:name</span>).<span class="ruby-identifier">name_records</span>.<span class="ruby-identifier">values_at</span>(<span class="ruby-value">0</span>,<span class="ruby-value">1</span>,<span class="ruby-value">2</span>,<span class="ruby-value">4</span>,<span class="ruby-value">8</span>,<span class="ruby-value">10</span>,<span class="ruby-value">14</span>,<span class="ruby-value">19</span>)
        <span class="ruby-identifier">meta</span>.<span class="ruby-identifier">collect!</span>{<span class="ruby-operator">|</span><span class="ruby-identifier">meta_item</span><span class="ruby-operator">|</span>
          <span class="ruby-comment cmt">#Clean up metadata</span>
          
          <span class="ruby-comment cmt">#Escape nasty characters, get rid of quotation marks around data,</span>
          <span class="ruby-comment cmt">#replace ' with '', remove trailing and leading whitespace,</span>
          <span class="ruby-comment cmt">#get rid of successive spaces</span>
          <span class="ruby-identifier">meta_item</span>.<span class="ruby-identifier">to_s</span>.<span class="ruby-identifier">dump</span>.<span class="ruby-identifier">gsub</span>(<span class="ruby-value str">&quot;\\000&quot;</span>,<span class="ruby-value str">&quot;&quot;</span>)[<span class="ruby-value">1</span><span class="ruby-operator">..</span><span class="ruby-value">-2</span>].<span class="ruby-identifier">gsub</span>(<span class="ruby-value str">&quot;'&quot;</span>,<span class="ruby-value str">&quot;''&quot;</span>) \
            .<span class="ruby-identifier">gsub</span>(<span class="ruby-regexp re">/^\s+/</span>, <span class="ruby-value str">&quot;&quot;</span>).<span class="ruby-identifier">gsub</span>(<span class="ruby-regexp re">/\s+$/</span>, <span class="ruby-identifier">$/</span>).<span class="ruby-identifier">gsub</span>(<span class="ruby-regexp re">/ +/</span>,<span class="ruby-value str">&quot; &quot;</span>)
        }
        <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">meta</span>
  <span class="ruby-keyword kw">end</span></pre>
</body>
</html>